Qwt User's Guide 6.1.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
QwtLegendLabel Class Reference

A widget representing something on a QwtLegend. More...

`#include <qwt_legend_label.h>`

Inheritance diagram for QwtLegendLabel:
[legend]

## Public Slots
void | setChecked (bool on)
Public Slots inherited from QwtTextLabel
void | setText (const QString &, QwtText::TextFormat textFormat=QwtText::AutoText)
void | clear ()
| Clear the text and all QwtText attributes.

## Signals
void | clicked ()
| Signal, when the legend item has been clicked.
void | pressed ()
| Signal, when the legend item has been pressed.
void | released ()
| Signal, when the legend item has been released.
void | checked (bool)
| Signal, when the legend item has been toggled.

## Public Member Functions
| QwtLegendLabel (QWidget *parent=0)
virtual | ~QwtLegendLabel ()
| Destructor.
void | setData (const QwtLegendData &)
const QwtLegendData & | data () const
void | setItemMode (QwtLegendData::Mode)
QwtLegendData::Mode | itemMode () const
void | setSpacing (int spacing)
| Change the spacing between icon and text. More...
int | spacing () const
virtual void | setText (const QwtText &)
void | setIcon (const QPixmap &)
QPixmap | icon () const
virtual QSize | sizeHint () const
| Return a size hint.
bool | isChecked () const
| Return true, if the item is checked.
Public Member Functions inherited from QwtTextLabel
| QwtTextLabel (QWidget *parent=NULL)
| QwtTextLabel (const QwtText &, QWidget *parent=NULL)
virtual | ~QwtTextLabel ()
| Destructor.
void | setPlainText (const QString &)
QString | plainText () const
const QwtText & | text () const
| Return the text.
int | indent () const
| Return label's text indent in pixels.
void | setIndent (int)
int | margin () const
| Return label's text indent in pixels.
void | setMargin (int)
virtual QSize | minimumSizeHint () const
| Return a minimum size hint.
virtual int | heightForWidth (int) const
QRect | textRect () const
virtual void | drawText (QPainter *, const QRectF &)
| Redraw the text.

## Protected Member Functions
void | setDown (bool)
| Set the item being down.
bool | isDown () const
| Return true, if the item is down.
virtual void | paintEvent (QPaintEvent *)
| Paint event.
virtual void | mousePressEvent (QMouseEvent *)
| Handle mouse press events.
virtual void | mouseReleaseEvent (QMouseEvent *)
| Handle mouse release events.
virtual void | keyPressEvent (QKeyEvent *)
| Handle key press events.
virtual void | keyReleaseEvent (QKeyEvent *)
| Handle key release events.
Protected Member Functions inherited from QwtTextLabel
virtual void | drawContents (QPainter *)
| Redraw the text and focus indicator.

## Detailed Description

A widget representing something on a QwtLegend.

## Constructor & Destructor Documentation

QwtLegendLabel::QwtLegendLabel | ( | QWidget * | parent = `0` | ) |
| explicit

Parameters

  parent | Parent widget

## Member Function Documentation

const QwtLegendData & QwtLegendLabel::data | ( |  | ) | const

Returns
  Attributes of the label

See Also
  setData(), QwtPlotItem::legendData()

QPixmap QwtLegendLabel::icon | ( |  | ) | const

Returns
  Pixmap representing a plot item

See Also
  setIcon()

QwtLegendData::Mode QwtLegendLabel::itemMode | ( |  | ) | const

Returns
  Item mode

See Also
  setItemMode()

void QwtLegendLabel::setChecked | ( | bool | on | ) |
| slot

Check/Uncheck a the item

Parameters

  on | check/uncheck

See Also
  setItemMode()

void QwtLegendLabel::setData | ( | const QwtLegendData & | legendData | ) |

Set the attributes of the legend label

Parameters

  legendData | Attributes of the label

See Also
  data()

void QwtLegendLabel::setIcon | ( | const QPixmap & | icon | ) |

Assign the icon

Parameters

  icon | Pixmap representing a plot item

See Also
  icon(), QwtPlotItem::legendIcon()

void QwtLegendLabel::setItemMode | ( | QwtLegendData::Mode | mode | ) |

Set the item mode The default is QwtLegendData::ReadOnly

Parameters

  mode | Item mode

See Also
  itemMode()

void QwtLegendLabel::setSpacing | ( | int | spacing | ) |

Change the spacing between icon and text.

Parameters

  spacing | Spacing

See Also
  spacing(), QwtTextLabel::margin()

void QwtLegendLabel::setText | ( | const QwtText & | text | ) |
| virtual

Set the text to the legend item

Parameters

  text | Text label

See Also
  QwtTextLabel::text()

Reimplemented from QwtTextLabel.

int QwtLegendLabel::spacing | ( |  | ) | const

Returns
  Spacing between icon and text

See Also
  setSpacing(), QwtTextLabel::margin()